#!/bin/bash
# KPS_CHECK_ORDER: 20

# (c) 2013 Richard Bos

PATH=/usr/bin:/bin

echo -n "Checking vendor of the cyrus-imapd rpm... "

REPO_DIST_ARCH=$(rpm -q --qf "%{DISTRIBUTION} %{ARCH}\n" cyrus-imapd)

if grep -q Kolab <<< "$REPO_DIST_ARCH"; then
 echo OK
else
  echo
  echo "  Error: cyrus-imapd vendor is wrong"
  echo "  Please install cyrus-imapd from server:Kolab:Extras"
  echo "  This can be achieved by executing: zypper install --from server:Kolab:Extras cyrus-imapd"
  if [[ "$INTERNET_CONNECTIVITY" != "no" ]]; then
    read -p "  Do you want to install cyrus-imapd from vendor server:Kolab:Extras now? [Y/n] " ANSWER
    [[ "$ANSWER" != "n" ]] && zypper install --from server:Kolab:Extras cyrus-imapd
  fi
  echo
fi

