#!/bin/bash
# KPS_CHECK_ORDER: 20

# (c) 2013 Richard Bos

PATH=/usr/bin

echo -n "Checking /etc/services file for sieve port at 4190... "

if grep -q "sieve.*4190" /etc/services; then
  echo OK
else
  echo
  BACKUP="/tmp/services-$(date +%s)"
  cp /etc/services $BACKUP
  sed -i \
    -e '/sieve           2000/d' \
    -e '/#               4185-4198/a \
sieve           4190\/tcp   # Cyrus SIEVE \
sieve           4190\/ucp   # Cyrus SIEVE' \
    /etc/services
  echo "  Updated sieve port to 4190 in /etc/services"
  echo "  Backup stored at: $BACKUP"
  echo
fi

